package com.gh.gamecenter.common.utils;

import com.gh.gamecenter.common.R;

/**
 * Created by khy on 2017/2/13.
 * 获取用户默认头像工具类
 */
public class UserIconUtils {

    /**
     * @param i 默认图片位置（第几个）
     * @return fresco 能解析的url
     */
    public static String getUserIcon(int i) {
        switch (i) {
            case 1:
                return "res:///" + R.drawable.user_default_icon1;
            case 2:
                return "res:///" + R.drawable.user_default_icon2;
            case 3:
                return "res:///" + R.drawable.user_default_icon3;
            case 4:
                return "res:///" + R.drawable.user_default_icon4;
            case 5:
                return "res:///" + R.drawable.user_default_icon5;
            case 6:
                return "res:///" + R.drawable.user_default_icon6;
            case 7:
                return "res:///" + R.drawable.user_default_icon7;
            case 8:
                return "res:///" + R.drawable.user_default_icon8;
            default:
                return "res:///" + R.drawable.user_default_icon1;
        }
    }

    public static String getUserIconUrl(int i) {
        switch (i) {
            case 1:
                return "https://image.ghzs666.com/pic/default_icon_1.png";
            case 2:
                return "https://image.ghzs666.com/pic/default_icon_2.png";
            case 3:
                return "https://image.ghzs666.com/pic/default_icon_3.png";
            case 4:
                return "https://image.ghzs666.com/pic/default_icon_4.png";
            case 5:
                return "https://image.ghzs666.com/pic/default_icon_5.png";
            case 6:
                return "https://image.ghzs666.com/pic/default_icon_6.png";
            case 7:
                return "https://image.ghzs666.com/pic/default_icon_7.png";
            case 8:
                return "https://image.ghzs666.com/pic/default_icon_8.png";
            default:
                return "https://image.ghzs666.com/pic/default_icon_1.png";
        }
    }
}
